
package com.premiereconnect.premconn.jobdocumenttransmit._2008._10;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for JobDocumentInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="JobDocumentInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="JobDocumentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocumentNumber" type="{http://premconn.premiereconnect.com/JobDocumentTransmit/2008/10}DocumentId" minOccurs="0"/>
 *         &lt;element name="Filename" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="CharacterSet" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DocumentInfoExtension" type="{http://premconn.premiereconnect.com/JobDocumentTransmit/2008/10}SegmentType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="FileData" type="{http://premconn.premiereconnect.com/JobDocumentTransmit/2008/10}DocDataType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "JobDocumentInfoType", propOrder = {
    "jobDocumentType",
    "documentNumber",
    "filename",
    "characterSet",
    "docType",
    "documentInfoExtension",
    "fileData"
})
public class JobDocumentInfoType {

    @XmlElement(name = "JobDocumentType")
    protected String jobDocumentType;
    @XmlElement(name = "DocumentNumber")
    protected DocumentId documentNumber;
    @XmlElement(name = "Filename")
    protected String filename;
    @XmlElement(name = "CharacterSet")
    protected String characterSet;
    @XmlElement(name = "DocType")
    protected String docType;
    @XmlElement(name = "DocumentInfoExtension")
    protected List<SegmentType> documentInfoExtension;
    @XmlElement(name = "FileData", required = true)
    protected DocDataType fileData;

    /**
     * Gets the value of the jobDocumentType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJobDocumentType() {
        return jobDocumentType;
    }

    /**
     * Sets the value of the jobDocumentType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJobDocumentType(String value) {
        this.jobDocumentType = value;
    }

    /**
     * Gets the value of the documentNumber property.
     * 
     * @return
     *     possible object is
     *     {@link DocumentId }
     *     
     */
    public DocumentId getDocumentNumber() {
        return documentNumber;
    }

    /**
     * Sets the value of the documentNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocumentId }
     *     
     */
    public void setDocumentNumber(DocumentId value) {
        this.documentNumber = value;
    }

    /**
     * Gets the value of the filename property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFilename() {
        return filename;
    }

    /**
     * Sets the value of the filename property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFilename(String value) {
        this.filename = value;
    }

    /**
     * Gets the value of the characterSet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCharacterSet() {
        return characterSet;
    }

    /**
     * Sets the value of the characterSet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCharacterSet(String value) {
        this.characterSet = value;
    }

    /**
     * Gets the value of the docType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocType() {
        return docType;
    }

    /**
     * Sets the value of the docType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocType(String value) {
        this.docType = value;
    }

    /**
     * Gets the value of the documentInfoExtension property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the documentInfoExtension property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDocumentInfoExtension().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentType }
     * 
     * 
     */
    public List<SegmentType> getDocumentInfoExtension() {
        if (documentInfoExtension == null) {
            documentInfoExtension = new ArrayList<SegmentType>();
        }
        return this.documentInfoExtension;
    }

    /**
     * Gets the value of the fileData property.
     * 
     * @return
     *     possible object is
     *     {@link DocDataType }
     *     
     */
    public DocDataType getFileData() {
        return fileData;
    }

    /**
     * Sets the value of the fileData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DocDataType }
     *     
     */
    public void setFileData(DocDataType value) {
        this.fileData = value;
    }

}
