
package com.premiereconnect.premconn.requestresponse._2008._10;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.premiereconnect.premconn.requestresponse._2008._10 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SenderKey_QNAME = new QName("http://premconn.premiereconnect.com/RequestResponse/2008/10", "SenderKey");
    private final static QName _RequestID_QNAME = new QName("http://premconn.premiereconnect.com/RequestResponse/2008/10", "RequestID");
    private final static QName _ResultRequired_QNAME = new QName("http://premconn.premiereconnect.com/RequestResponse/2008/10", "ResultRequired");
    private final static QName _ReceiverKey_QNAME = new QName("http://premconn.premiereconnect.com/RequestResponse/2008/10", "ReceiverKey");
    private final static QName _ResponseRequired_QNAME = new QName("http://premconn.premiereconnect.com/RequestResponse/2008/10", "ResponseRequired");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.premiereconnect.premconn.requestresponse._2008._10
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Authentication }
     * 
     */
    public Authentication createAuthentication() {
        return new Authentication();
    }

    /**
     * Create an instance of {@link XDDSAuthType }
     * 
     */
    public XDDSAuthType createXDDSAuthType() {
        return new XDDSAuthType();
    }

    /**
     * Create an instance of {@link Request }
     * 
     */
    public Request createRequest() {
        return new Request();
    }

    /**
     * Create an instance of {@link Response }
     * 
     */
    public Response createResponse() {
        return new Response();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://premconn.premiereconnect.com/RequestResponse/2008/10", name = "SenderKey")
    public JAXBElement<String> createSenderKey(String value) {
        return new JAXBElement<String>(_SenderKey_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://premconn.premiereconnect.com/RequestResponse/2008/10", name = "RequestID")
    public JAXBElement<String> createRequestID(String value) {
        return new JAXBElement<String>(_RequestID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequiredType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://premconn.premiereconnect.com/RequestResponse/2008/10", name = "ResultRequired")
    public JAXBElement<RequiredType> createResultRequired(RequiredType value) {
        return new JAXBElement<RequiredType>(_ResultRequired_QNAME, RequiredType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://premconn.premiereconnect.com/RequestResponse/2008/10", name = "ReceiverKey")
    public JAXBElement<String> createReceiverKey(String value) {
        return new JAXBElement<String>(_ReceiverKey_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RequiredType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://premconn.premiereconnect.com/RequestResponse/2008/10", name = "ResponseRequired")
    public JAXBElement<RequiredType> createResponseRequired(RequiredType value) {
        return new JAXBElement<RequiredType>(_ResponseRequired_QNAME, RequiredType.class, null, value);
    }

}
