
package com.premiereconnect.premconn.jobdocumenttransmit._2008._10;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="SubmitId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="JobDocument" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="JobId" type="{http://premconn.premiereconnect.com/JobDocumentTransmit/2008/10}JobIdType"/>
 *                   &lt;element name="JobDocumentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="TransmitRequestExtension" type="{http://premconn.premiereconnect.com/JobDocumentTransmit/2008/10}SegmentType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "submitId",
    "jobDocument",
    "transmitRequestExtension"
})
@XmlRootElement(name = "JobDocumentTransmitRequest")
public class JobDocumentTransmitRequest {

    @XmlElement(name = "SubmitId")
    protected String submitId;
    @XmlElement(name = "JobDocument", required = true)
    protected List<JobDocumentTransmitRequest.JobDocument> jobDocument;
    @XmlElement(name = "TransmitRequestExtension")
    protected List<SegmentType> transmitRequestExtension;

    /**
     * Gets the value of the submitId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubmitId() {
        return submitId;
    }

    /**
     * Sets the value of the submitId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubmitId(String value) {
        this.submitId = value;
    }

    /**
     * Gets the value of the jobDocument property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the jobDocument property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getJobDocument().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JobDocumentTransmitRequest.JobDocument }
     * 
     * 
     */
    public List<JobDocumentTransmitRequest.JobDocument> getJobDocument() {
        if (jobDocument == null) {
            jobDocument = new ArrayList<JobDocumentTransmitRequest.JobDocument>();
        }
        return this.jobDocument;
    }

    /**
     * Gets the value of the transmitRequestExtension property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the transmitRequestExtension property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTransmitRequestExtension().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SegmentType }
     * 
     * 
     */
    public List<SegmentType> getTransmitRequestExtension() {
        if (transmitRequestExtension == null) {
            transmitRequestExtension = new ArrayList<SegmentType>();
        }
        return this.transmitRequestExtension;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="JobId" type="{http://premconn.premiereconnect.com/JobDocumentTransmit/2008/10}JobIdType"/>
     *         &lt;element name="JobDocumentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "jobId",
        "jobDocumentType"
    })
    public static class JobDocument {

        @XmlElement(name = "JobId", required = true)
        protected JobIdType jobId;
        @XmlElement(name = "JobDocumentType")
        protected String jobDocumentType;

        /**
         * Gets the value of the jobId property.
         * 
         * @return
         *     possible object is
         *     {@link JobIdType }
         *     
         */
        public JobIdType getJobId() {
            return jobId;
        }

        /**
         * Sets the value of the jobId property.
         * 
         * @param value
         *     allowed object is
         *     {@link JobIdType }
         *     
         */
        public void setJobId(JobIdType value) {
            this.jobId = value;
        }

        /**
         * Gets the value of the jobDocumentType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getJobDocumentType() {
            return jobDocumentType;
        }

        /**
         * Sets the value of the jobDocumentType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setJobDocumentType(String value) {
            this.jobDocumentType = value;
        }

    }

}
