
package com.premiereconnect.premconn.requestresponse._2008._10;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{http://premconn.premiereconnect.com/RequestResponse/2008/10}SenderKey" minOccurs="0"/>
 *         &lt;element ref="{http://premconn.premiereconnect.com/RequestResponse/2008/10}ReceiverKey"/>
 *         &lt;element ref="{http://premconn.premiereconnect.com/RequestResponse/2008/10}ResponseRequired" minOccurs="0"/>
 *         &lt;element ref="{http://premconn.premiereconnect.com/RequestResponse/2008/10}ResultRequired" minOccurs="0"/>
 *         &lt;element ref="{http://premconn.premiereconnect.com/RequestResponse/2008/10}RequestID" minOccurs="0"/>
 *         &lt;element ref="{http://premconn.premiereconnect.com/RequestResponse/2008/10}Authentication"/>
 *         &lt;element name="InputChannel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "senderKey",
    "receiverKey",
    "responseRequired",
    "resultRequired",
    "requestID",
    "authentication",
    "inputChannel"
})
@XmlRootElement(name = "Request")
public class Request {

    @XmlElement(name = "SenderKey")
    @XmlSchemaType(name = "anyURI")
    protected String senderKey;
    @XmlElement(name = "ReceiverKey", required = true)
    @XmlSchemaType(name = "anyURI")
    protected String receiverKey;
    @XmlElement(name = "ResponseRequired")
    protected RequiredType responseRequired;
    @XmlElement(name = "ResultRequired")
    protected RequiredType resultRequired;
    @XmlElement(name = "RequestID")
    protected String requestID;
    @XmlElement(name = "Authentication", required = true)
    protected Authentication authentication;
    @XmlElement(name = "InputChannel")
    protected String inputChannel;
    @XmlAnyAttribute
    private Map<QName, String> otherAttributes = new HashMap<QName, String>();

    /**
     * Gets the value of the senderKey property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSenderKey() {
        return senderKey;
    }

    /**
     * Sets the value of the senderKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSenderKey(String value) {
        this.senderKey = value;
    }

    /**
     * Gets the value of the receiverKey property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReceiverKey() {
        return receiverKey;
    }

    /**
     * Sets the value of the receiverKey property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReceiverKey(String value) {
        this.receiverKey = value;
    }

    /**
     * Gets the value of the responseRequired property.
     * 
     * @return
     *     possible object is
     *     {@link RequiredType }
     *     
     */
    public RequiredType getResponseRequired() {
        return responseRequired;
    }

    /**
     * Sets the value of the responseRequired property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequiredType }
     *     
     */
    public void setResponseRequired(RequiredType value) {
        this.responseRequired = value;
    }

    /**
     * Gets the value of the resultRequired property.
     * 
     * @return
     *     possible object is
     *     {@link RequiredType }
     *     
     */
    public RequiredType getResultRequired() {
        return resultRequired;
    }

    /**
     * Sets the value of the resultRequired property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequiredType }
     *     
     */
    public void setResultRequired(RequiredType value) {
        this.resultRequired = value;
    }

    /**
     * Gets the value of the requestID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRequestID() {
        return requestID;
    }

    /**
     * Sets the value of the requestID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRequestID(String value) {
        this.requestID = value;
    }

    /**
     * Gets the value of the authentication property.
     * 
     * @return
     *     possible object is
     *     {@link Authentication }
     *     
     */
    public Authentication getAuthentication() {
        return authentication;
    }

    /**
     * Sets the value of the authentication property.
     * 
     * @param value
     *     allowed object is
     *     {@link Authentication }
     *     
     */
    public void setAuthentication(Authentication value) {
        this.authentication = value;
    }

    /**
     * Gets the value of the inputChannel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInputChannel() {
        return inputChannel;
    }

    /**
     * Sets the value of the inputChannel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInputChannel(String value) {
        this.inputChannel = value;
    }

    /**
     * Gets a map that contains attributes that aren't bound to any typed property on this class.
     * 
     * <p>
     * the map is keyed by the name of the attribute and 
     * the value is the string value of the attribute.
     * 
     * the map returned by this method is live, and you can add new attribute
     * by updating the map directly. Because of this design, there's no setter.
     * 
     * 
     * @return
     *     always non-null
     */
    public Map<QName, String> getOtherAttributes() {
        return otherAttributes;
    }

}
